Package net.shibboleth.shared.resolver

# Class ClassCriterion<T>

java.lang.Object
net.shibboleth.shared.resolver.ClassCriterion<T>

Type Parameters:
  `T` - class type

All Implemented Interfaces:
  `Criterion`

public class ClassCriterion<T> extends Object implements Criterion
A `Criterion` based on class type.

Since:
  8.0.0

## Field Summary

Fields
Modifier and Type
Field
Description
`private final Class<T>`
`classType`
The type to search for.

## Constructor Summary

Constructors
Constructor
Description
`ClassCriterion(Class<T> type)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`Class<T>`
`getType()`
Get the class type of this criterion.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### classType

@Nonnull private final Class<T> classType
The type to search for.

## Constructor Details

### ClassCriterion

public ClassCriterion(@Nonnull @ParameterName(name="type") Class<T> type)
Constructor.

Parameters:
  `type` - class type of criterion

## Method Details

### getType

@Nonnull public Class<T> getType()
Get the class type of this criterion.

Returns:
  class type